.pb-safe{
  padding-bottom:env(safe-area-inset-bottom);
}
.pt-safe{
  padding-top:env(safe-area-inset-top);
}
.line-clamp-1{
  overflow:hidden;
  display:-webkit-box;
  -webkit-box-orient:vertical;
  -webkit-line-clamp:1;
}
.line-clamp-2{
  overflow:hidden;
  display:-webkit-box;
  -webkit-box-orient:vertical;
  -webkit-line-clamp:2;
}
